### Enumeration

# EDataServer SourceAuthenticationResult

since: 3.6

#### Declaration

    enum EDataServer.SourceAuthenticationResult

#### Description [src]

Status codes used by the `EBackend` authentication wrapper.

Available since: 3.6

#### Members

`E_SOURCE_AUTHENTICATION_UNKNOWN`

  Unknown error occurred while authenticating. Since: 3.26.

  - Value: `-1`
  - Available since: 3.6
`E_SOURCE_AUTHENTICATION_ERROR`

  An error occurred while authenticating.

  - Value: `0`
  - Available since: 3.6
`E_SOURCE_AUTHENTICATION_ERROR_SSL_FAILED`

  An SSL certificate check failed. Since: 3.16.

  - Value: `1`
  - Available since: 3.6
`E_SOURCE_AUTHENTICATION_ACCEPTED`

  Server requesting authentication accepted password.

  - Value: `2`
  - Available since: 3.6
`E_SOURCE_AUTHENTICATION_REJECTED`

  Server requesting authentication rejected password.

  - Value: `3`
  - Available since: 3.6
`E_SOURCE_AUTHENTICATION_REQUIRED`

  Server requesting authentication, but none was given.

  - Value: `4`
  - Available since: 3.6